Index: plugins/widgets/_admin.php
===================================================================
--- plugins/widgets/_admin.php	(revision 2230)
+++ plugins/widgets/_admin.php	(revision 2566)
@@ -27,3 +27,2 @@
 		preg_match('/plugin.php\?p=widgets(&.*)?$/',$_SERVER['REQUEST_URI']),
 		$core->auth->check('admin',$core->blog->id));
-?>
Index: plugins/widgets/_default_widgets.php
===================================================================
--- plugins/widgets/_default_widgets.php	(revision 2412)
+++ plugins/widgets/_default_widgets.php	(revision 2566)
@@ -123,3 +123,2 @@
 # --BEHAVIOR-- initDefaultWidgets
 $core->callBehavior('initDefaultWidgets',$__widgets,$__default_widgets);
-?>
Index: plugins/widgets/_define.php
===================================================================
--- plugins/widgets/_define.php	(revision 2257)
+++ plugins/widgets/_define.php	(revision 2566)
@@ -23,3 +23,2 @@
 	)
 );
-?>
Index: plugins/widgets/_install.php
===================================================================
--- plugins/widgets/_install.php	(revision 1179)
+++ plugins/widgets/_install.php	(revision 2566)
@@ -38,3 +38,2 @@
 $core->setVersion('widgets',$version);
 return true;
-?>
Index: plugins/widgets/_public.php
===================================================================
--- plugins/widgets/_public.php	(revision 1179)
+++ plugins/widgets/_public.php	(revision 2566)
@@ -26,5 +26,5 @@
 		# widgets to disable
 		$disable = isset($attr['disable']) ? trim($attr['disable']) : '';
-		
+
 		if ($type == '') {
 			$res = "publicWidgets::widgetsHandler('nav','".addslashes($disable)."');"."\n".
@@ -39,5 +39,5 @@
 		return '<?php '.$res.' ?>';
 	}
-	
+
 	public static function widgetsHandler($type,$disable='')
 	{
@@ -45,5 +45,5 @@
 		$GLOBALS['core']->blog->settings->addNameSpace('widgets');
 		$widgets = $GLOBALS['core']->blog->settings->widgets->{$wtype};
-		
+
 		if (!$widgets) { // If widgets value is empty, get defaults
 			$widgets = self::defaultWidgets($type);
@@ -51,12 +51,12 @@
 			$widgets = dcWidgets::load($widgets);
 		}
-		
+
 		if ($widgets->isEmpty()) { // Widgets are empty, don't show anything
 			return;
 		}
-		
+
 		$disable = preg_split('/\s*,\s*/',$disable,-1,PREG_SPLIT_NO_EMPTY);
 		$disable = array_flip($disable);
-		
+
 		foreach ($widgets->elements() as $k => $w)
 		{
@@ -67,17 +67,17 @@
 		}
 	}
-	
+
 	private static function defaultWidgets($type)
 	{
 		$widgets = new dcWidgets();
 		$w = new dcWidgets();
-		
+
 		if (isset($GLOBALS['__default_widgets'][$type])) {
 			$w = $GLOBALS['__default_widgets'][$type];
 		}
-		
+
 		return $w;
 	}
-	
+
 	public static function tplWidget($attr,$content)
 	{
@@ -85,23 +85,23 @@
 			return;
 		}
-		
+
 		# We change tpl:lang syntax, we need it
 		$content = preg_replace('/\{\{tpl:lang\s+(.*?)\}\}/msu','{tpl:lang $1}',$content);
-		
+
 		# We remove every {{tpl:
 		$content = preg_replace('/\{\{tpl:.*?\}\}/msu','',$content);
-		
+
 		return
 		"<?php publicWidgets::widgetHandler('".addslashes($attr['id'])."','".str_replace("'","\\'",$content)."'); ?>";
 	}
-	
+
 	public static function widgetHandler($id,$xml)
 	{
 		$widgets =& $GLOBALS['__widgets'];
-		
+
 		if (!($widgets->{$id} instanceof dcWidget)) {
 			return;
 		}
-		
+
 		$xml = '<?xml version="1.0" encoding="utf-8" ?><widget>'.$xml.'</widget>';
 		$xml = @simplexml_load_string($xml);
@@ -110,7 +110,7 @@
 			return;
 		}
-		
+
 		$w = clone $widgets->{$id};
-		
+
 		foreach ($xml->setting as $e)
 		{
@@ -118,5 +118,5 @@
 				continue;
 			}
-			
+
 			$setting = (string) $e['name'];
 			if (count($e->children())>0) {
@@ -127,8 +127,8 @@
 			$w->{$setting} = preg_replace_callback('/\{tpl:lang (.*?)\}/msu',array('self','widgetL10nHandler'),$text);
 		}
-		
+
 		echo $w->call(0);
 	}
-	
+
 	private static function widgetL10nHandler($m)
 	{
@@ -136,3 +136,2 @@
 	}
 }
-?>
Index: plugins/widgets/class.widgets.php
===================================================================
--- plugins/widgets/class.widgets.php	(revision 2442)
+++ plugins/widgets/class.widgets.php	(revision 2566)
@@ -15,9 +15,9 @@
 {
 	private $__widgets = array();
-	
+
 	public static function load($s)
 	{
 		$o = @unserialize(base64_decode($s));
-		
+
 		if ($o instanceof self) {
 			return $o;
@@ -26,5 +26,5 @@
 		}
 	}
-	
+
 	public function store()
 	{
@@ -35,5 +35,5 @@
 		return base64_encode(serialize($serialized));
 	}
-	
+
 	public function create($id,$name,$callback,$append_callback=null,$desc='')
 	{
@@ -41,5 +41,5 @@
 		$this->__widgets[$id]->append_callback = $append_callback;
 	}
-	
+
 	public function append($widget)
 	{
@@ -51,10 +51,10 @@
 		}
 	}
-	
+
 	public function isEmpty()
 	{
 		return count($this->__widgets) == 0;
 	}
-	
+
 	public function elements($sorted=false)
 	{
@@ -64,5 +64,5 @@
 		return $this->__widgets;
 	}
-	
+
 	public function __get($id)
 	{
@@ -72,5 +72,5 @@
 		return $this->__widgets[$id];
 	}
-	
+
 	public function __wakeup()
 	{
@@ -82,5 +82,5 @@
 		}
 	}
-	
+
 	public static function loadArray($A,$widgets)
 	{
@@ -88,7 +88,7 @@
 			return false;
 		}
-		
+
 		uasort($A,array('self','arraySort'));
-		
+
 		$result = new self;
 		foreach ($A as $v)
@@ -97,5 +97,5 @@
 			{
 				$w = clone $widgets->{$v['id']};
-				
+
 				# Settings
 				unset($v['id']);
@@ -104,12 +104,12 @@
 					$w->{$sid} = $s;
 				}
-				
+
 				$result->append($w);
 			}
 		}
-		
+
 		return $result;
 	}
-	
+
 	private static function arraySort($a, $b)
 	{
@@ -119,13 +119,13 @@
 		return $a['order'] > $b['order'] ? 1 : -1;
 	}
-	
+
 	private static function sort($a,$b)
 	{
-		$c = $a->name(); 
-		$d = $b->name(); 
-		if ($c == $d) { 
-			return 0; 
-		} 
-		return ($c < $d) ? -1 : 1; 
+		$c = $a->name();
+		$d = $b->name();
+		if ($c == $d) {
+			return 0;
+		}
+		return ($c < $d) ? -1 : 1;
 	}
 }
@@ -139,5 +139,5 @@
 	public $append_callback = null;
 	private $settings = array();
-	
+
 	public function serialize($order) {
 		$values = array();
@@ -148,5 +148,5 @@
 		return $values;
 	}
-	
+
 	public function __construct($id,$name,$callback,$desc='')
 	{
@@ -156,10 +156,10 @@
 		$this->desc = $desc;
 	}
-	
+
 	public function id()
 	{
 		return $this->id;
 	}
-	
+
 	public function name()
 	{
@@ -171,10 +171,10 @@
 		return $this->desc;
 	}
-	
+
 	public function getCallback()
 	{
 		return $this->public_callback;
 	}
-	
+
 	public function call($i=0)
 	{
@@ -184,5 +184,5 @@
 		return '<p>Callback not found for widget '.$this->id.'</p>';
 	}
-	
+
 	/* Widget settings
 	--------------------------------------------------- */
@@ -194,5 +194,5 @@
 		return null;
 	}
-	
+
 	public function __set($n,$v)
 	{
@@ -201,5 +201,5 @@
 		}
 	}
-	
+
 	public function setting($name,$title,$value,$type='text')
 	{
@@ -210,5 +210,5 @@
 			}
 		}
-		
+
 		$this->settings[$name] = array(
 			'title' => $title,
@@ -216,15 +216,15 @@
 			'value' => $value
 		);
-		
+
 		if (isset($options)) {
 			$this->settings[$name]['options'] = $options;
 		}
 	}
-	
+
 	public function settings()
 	{
 		return $this->settings;
 	}
-	
+
 	public function formSettings($pr='',&$i=0)
 	{
@@ -235,8 +235,8 @@
 			$i++;
 		}
-		
+
 		return $res;
 	}
-	
+
 	public function formSetting($id,$s,$pr='',&$i=0)
 	{
@@ -288,3 +288,2 @@
 	}
 }
-?>
Index: plugins/widgets/dragdrop.js
===================================================================
--- plugins/widgets/dragdrop.js	(revision 2401)
+++ plugins/widgets/dragdrop.js	(revision 2566)
@@ -13,10 +13,10 @@
 
 $(function() {
-	
+
 	// clean
 	$('.remove-if-drag').remove();
 	$('.hidden-if-drag').hide();
 	$('.widgets, .sortable-delete').addClass('if-drag');
-	
+
 	// move
 	$( ".connected, .sortable-delete" ).sortable({
@@ -34,12 +34,12 @@
 		},
 		update: function(event, ui) {
-			
+
 			ul = $(this);
 			widget = ui.item;
 			field = ul.parents('.widgets');
-			
+
 			// met a zéro le décalage
 			ui.item.css('left', 'auto');
-			
+
 			// signale les zones vides
 			if( ul.find('li:not(.empty-widgets)').length == 0 ) {
@@ -50,5 +50,5 @@
 				field.find('ul.sortable-delete').show();
 			}
-			
+
 			// remove
 			if( widget.parents('ul').is('.sortable-delete') ) {
@@ -57,8 +57,8 @@
 				});
 			}
-			
+
 			// réordonne
 			reorder(ul);
-			
+
 			// expand
 			if(widget.find('img.expand').length == 0) {
@@ -66,8 +66,8 @@
 				dotclear.viewPostContent(widget, 'close');
 			}
-			
+
 		}
 	});
-	
+
 	// add
 	$( "#widgets-ref > li" ).draggable({
@@ -81,5 +81,5 @@
 		}
 	});
-	
+
 	$("li.ui-draggable, ul.ui-sortable li")
 		.not('ul.sortable-delete li, li.empty-widgets')
Index: plugins/widgets/style.css
===================================================================
--- plugins/widgets/style.css	(revision 2442)
+++ plugins/widgets/style.css	(revision 2566)
@@ -120,5 +120,5 @@
 	width: 49%;
 	background: #eee;
-	padding: 1.5em 1% 0; 
+	padding: 1.5em 1% 0;
 	margin: 0 1% 0 0;
 }
